# # Interface: AnimationEvent

## # Properties

### # chart

• chart: `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Defined in

animation.d.ts:13
(opens new window)

### # currentStep

• currentStep: `number`

#### # Defined in

animation.d.ts:16
(opens new window)

### # initial

• initial: `boolean`

#### # Defined in

animation.d.ts:15
(opens new window)

### # numSteps

• numSteps: `number`

#### # Defined in

animation.d.ts:14
(opens new window)